#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSPageDescriptors = 1232,
  CSSPageRule = 1251,
  CSSPropertyRule = 1263,
  CSSPseudoElement = 1279,
  CSSRule = 1296,
  CSSRuleList = 1304,
  CSSScopeRule = 1316,
  CSSStartingStyleRule = 1329,
  CSSStyleDeclaration = 1350,
  CSSStyleRule = 1370,
  CSSStyleSheet = 1383,
  CSSSupportsRule = 1397,
  CSSTransition = 1413,
  Cache = 1427,
  CacheStorage = 1433,
  CallbackDebuggerNotification = 1446,
  CanonicalBrowsingContext = 1475,
  CanvasCaptureMediaStream = 1500,
  CanvasGradient = 1525,
  CanvasPattern = 1540,
  CanvasRenderingContext2D = 1554,
  CaretPosition = 1579,
  CaretStateChangedEvent = 1593,
  ChannelMergerNode = 1616,
  ChannelSplitterNode = 1634,
  ChannelWrapper = 1654,
  CharacterData = 1669,
  CheckerboardReportService = 1683,
  ChildProcessMessageManager = 1709,
  ChildSHistory = 1736,
  ChromeMessageBroadcaster = 1750,
  ChromeMessageSender = 1775,
  ChromeNodeList = 1795,
  ChromeUtils = 1810,
  ChromeWorker = 1822,
  Client = 1835,
  Clients = 1842,
  Clipboard = 1850,
  ClipboardEvent = 1860,
  ClipboardItem = 1875,
  ClonedErrorHolder = 1889,
  CloseEvent = 1907,
  CommandEvent = 1918,
  Comment = 1931,
  CompositionEvent = 1939,
  CompressionStream = 1956,
  ConsoleInstance = 1974,
  ConstantSourceNode = 1990,
  ContentFrameMessageManager = 2009,
  ContentProcessMessageManager = 2036,
  ContentVisibilityAutoStateChangeEvent = 2065,
  ConvolverNode = 2103,
  CountQueuingStrategy = 2117,
  CreateOfferRequest = 2138,
  Credential = 2157,
  CredentialsContainer = 2168,
  Crypto = 2189,
  CryptoKey = 2196,
  CustomElementRegistry = 2206,
  CustomEvent = 2228,
  CustomStateSet = 2240,
  DOMException = 2255,
  DOMImplementation = 2268,
  DOMLocalization = 2286,
  DOMMatrix = 2302,
  DOMMatrixReadOnly = 2312,
  DOMParser = 2330,
  DOMPoint = 2340,
  DOMPointReadOnly = 2349,
  DOMQuad = 2366,
  DOMRect = 2374,
  DOMRectList = 2382,
  DOMRectReadOnly = 2394,
  DOMStringList = 2410,
  DOMStringMap = 2424,
  DOMTokenList = 2437,
  DataTransfer = 2450,
  DataTransferItem = 2463,
  DataTransferItemList = 2480,
  DebuggerNotification = 2501,
  DebuggerNotificationObserver = 2522,
  DecompressionStream = 2551,
  DedicatedWorkerGlobalScope = 2571,
  DelayNode = 2598,
  DeprecationReportBody = 2608,
  DeviceAcceleration = 2630,
  DeviceLightEvent = 2649,
  DeviceMotionEvent = 2666,
  DeviceOrientationEvent = 2684,
  DeviceRotationRate = 2707,
  Directory = 2726,
  Document = 2736,
  DocumentFragment = 2745,
  DocumentL10n = 2762,
  DocumentTimeline = 2775,
  DocumentType = 2792,
  DominatorTree = 2805,
  DragEvent = 2819,
  DynamicsCompressorNode = 2829,
  EXT_blend_minmax = 2852,
  EXT_color_buffer_float = 2869,
  EXT_color_buffer_half_float = 2892,
  EXT_depth_clamp = 2920,
  EXT_disjoint_timer_query = 2936,
  EXT_float_blend = 2961,
  EXT_frag_depth = 2977,
  EXT_sRGB = 2992,
  EXT_shader_texture_lod = 3001,
  EXT_texture_compression_bptc = 3024,
  EXT_texture_compression_rgtc = 3053,
  EXT_texture_filter_anisotropic = 3082,
  EXT_texture_norm16 = 3113,
  Element = 3132,
  ElementInternals = 3140,
  EncodedAudioChunk = 3157,
  EncodedVideoChunk = 3175,
  ErrorEvent = 3193,
  Event = 3204,
  EventCallbackDebuggerNotification = 3210,
  EventCounts = 3244,
  EventSource = 3256,
  EventTarget = 3268,
  Exception = 3280,
  ExtendableEvent = 3290,
  ExtendableMessageEvent = 3306,
  ExtensionAlarms = 3329,
  ExtensionBrowser = 3345,
  ExtensionBrowserSettings = 3362,
  ExtensionBrowserSettingsColorManagement = 3387,
  ExtensionDns = 3427,
  ExtensionEventManager = 3440,
  ExtensionMockAPI = 3462,
  ExtensionPort = 3479,
  ExtensionProxy = 3493,
  ExtensionRuntime = 3508,
  ExtensionScripting = 3525,
  ExtensionSetting = 3544,
  ExtensionTest = 3561,
  External = 3575,
  FeaturePolicy = 3584,
  FeaturePolicyViolationReportBody = 3598,
  FetchEvent = 3631,
  FetchObserver = 3642,
  File = 3656,
  FileList = 3661,
  FileReader = 3670,
  FileReaderSync = 3681,
  FileSystem = 3696,
  FileSystemDirectoryEntry = 3707,
  FileSystemDirectoryHandle = 3732,
  FileSystemDirectoryHandle_AsyncIterator = 3758,
  FileSystemDirectoryIterator = 3798,
  FileSystemDirectoryReader = 3826,
  FileSystemEntry = 3852,
  FileSystemFileEntry = 3868,
  FileSystemFileHandle = 3888,
  FileSystemHandle = 3909,
  FileSystemSyncAccessHandle = 3926,
  FileSystemWritableFileStream = 3953,
  Flex = 3982,
  FlexItemValues = 3987,
  FlexLineValues = 4002,
  FluentBundle = 4017,
  FluentBundleAsyncIterator = 4030,
  FluentBundleIterator = 4056,
  FluentPattern = 4077,
  FluentResource = 4091,
  FocusEvent = 4106,
  FontFace = 4117,
  FontFaceSet = 4126,
  FontFaceSetIterator = 4138,
  FontFaceSetLoadEvent = 4158,
  FormData = 4179,
  FormData_Iterator = 4188,
  FormDataEvent = 4206,
  FragmentDirective = 4220,
  FrameCrashedEvent = 4238,
  FrameLoader = 4256,
  GPU = 4268,
  GPUAdapter = 4272,
  GPUAdapterInfo = 4283,
  GPUBindGroup = 4298,
  GPUBindGroupLayout = 4311,
  GPUBuffer = 4330,
  GPUBufferUsage = 4340,
  GPUCanvasContext = 4355,
  GPUColorWrite = 4372,
  GPUCommandBuffer = 4386,
  GPUCommandEncoder = 4403,
  GPUCompilationInfo = 4421,
  GPUCompilationMessage = 4440,
  GPUComputePassEncoder = 4462,
  GPUComputePipeline = 4484,
  GPUDevice = 4503,
  GPUDeviceLostInfo = 4513,
  GPUError = 4531,
  GPUInternalError = 4540,
  GPUMapMode = 4557,
  GPUOutOfMemoryError = 4568,
  GPUPipelineLayout = 4588,
  GPUQuerySet = 4606,
  GPUQueue = 4618,
  GPURenderBundle = 4627,
  GPURenderBundleEncoder = 4643,
  GPURenderPassEncoder = 4666,
  GPURenderPipeline = 4687,
  GPUSampler = 4705,
  GPUShaderModule = 4716,
  GPUShaderStage = 4732,
  GPUSupportedFeatures = 4747,
  GPUSupportedLimits = 4768,
  GPUTexture = 4787,
  GPUTextureUsage = 4798,
  GPUTextureView = 4814,
  GPUUncapturedErrorEvent = 4829,
  GPUValidationError = 4853,
  GainNode = 4872,
  Gamepad = 4881,
  GamepadAxisMoveEvent = 4889,
  GamepadButton = 4910,
  GamepadButtonEvent = 4924,
  GamepadEvent = 4943,
  GamepadHapticActuator = 4956,
  GamepadLightIndicator = 4978,
  GamepadPose = 5000,
  GamepadServiceTest = 5012,
  GamepadTouch = 5031,
  Geolocation = 5044,
  GeolocationCoordinates = 5056,
  GeolocationPosition = 5079,
  GeolocationPositionError = 5099,
  GetUserMediaRequest = 5124,
  GleanBoolean = 5144,
  GleanCategory = 5157,
  GleanCounter = 5171,
  GleanCustomDistribution = 5184,
  GleanDatetime = 5208,
  GleanDenominator = 5222,
  GleanEvent = 5239,
  GleanImpl = 5250,
  GleanLabeled = 5260,
  GleanMemoryDistribution = 5273,
  GleanMetric = 5297,
  GleanNumerator = 5309,
  GleanObject = 5324,
  GleanPingsImpl = 5336,
  GleanQuantity = 5351,
  GleanRate = 5365,
  GleanString = 5375,
  GleanStringList = 5387,
  GleanText = 5403,
  GleanTimespan = 5413,
  GleanTimingDistribution = 5427,
  GleanUrl = 5451,
  GleanUuid = 5460,
  Grid = 5470,
  GridArea = 5475,
  GridDimension = 5484,
  GridLine = 5498,
  GridLines = 5507,
  GridTrack = 5517,
  GridTracks = 5527,
  HTMLAllCollection = 5538,
  HTMLAnchorElement = 5556,
  HTMLAreaElement = 5574,
  HTMLAudioElement = 5590,
  HTMLBRElement = 5607,
  HTMLBaseElement = 5621,
  HTMLBodyElement = 5637,
  HTMLButtonElement = 5653,
  HTMLCanvasElement = 5671,
  HTMLCollection = 5689,
  HTMLDListElement = 5704,
  HTMLDataElement = 5721,
  HTMLDataListElement = 5737,
  HTMLDetailsElement = 5757,
  HTMLDialogElement = 5776,
  HTMLDirectoryElement = 5794,
  HTMLDivElement = 5815,
  HTMLDocument = 5830,
  HTMLElement = 5843,
  HTMLEmbedElement = 5855,
  HTMLFieldSetElement = 5872,
  HTMLFontElement = 5892,
  HTMLFormControlsCollection = 5908,
  HTMLFormElement = 5935,
  HTMLFrameElement = 5951,
  HTMLFrameSetElement = 5968,
  HTMLHRElement = 5988,
  HTMLHeadElement = 6002,
  HTMLHeadingElement = 6018,
  HTMLHtmlElement = 6037,
  HTMLIFrameElement = 6053,
  HTMLImageElement = 6071,
  HTMLInputElement = 6088,
  HTMLLIElement = 6105,
  HTMLLabelElement = 6119,
  HTMLLegendElement = 6136,
  HTMLLinkElement = 6154,
  HTMLMapElement = 6170,
  HTMLMarqueeElement = 6185,
  HTMLMediaElement = 6204,
  HTMLMenuElement = 6221,
  HTMLMetaElement = 6237,
  HTMLMeterElement = 6253,
  HTMLModElement = 6270,
  HTMLOListElement = 6285,
  HTMLObjectElement = 6302,
  HTMLOptGroupElement = 6320,
  HTMLOptionElement = 6340,
  HTMLOptionsCollection = 6358,
  HTMLOutputElement = 6380,
  HTMLParagraphElement = 6398,
  HTMLParamElement = 6419,
  HTMLPictureElement = 6436,
  HTMLPreElement = 6455,
  HTMLProgressElement = 6470,
  HTMLQuoteElement = 6490,
  HTMLScriptElement = 6507,
  HTMLSelectElement = 6525,
  HTMLSlotElement = 6543,
  HTMLSourceElement = 6559,
  HTMLSpanElement = 6577,
  HTMLStyleElement = 6593,
  HTMLTableCaptionElement = 6610,
  HTMLTableCellElement = 6634,
  HTMLTableColElement = 6655,
  HTMLTableElement = 6675,
  HTMLTableRowElement = 6692,
  HTMLTableSectionElement = 6712,
  HTMLTemplateElement = 6736,
  HTMLTextAreaElement = 6756,
  HTMLTimeElement = 6776,
  HTMLTitleElement = 6792,
  HTMLTrackElement = 6809,
  HTMLUListElement = 6826,
  HTMLUnknownElement = 6843,
  HTMLVideoElement = 6862,
  HashChangeEvent = 6879,
  Headers = 6895,
  Headers_Iterator = 6903,
  HeapSnapshot = 6920,
  Highlight = 6933,
  HighlightRegistry = 6943,
  History = 6961,
  IDBCursor = 6969,
  IDBCursorWithValue = 6979,
  IDBDatabase = 6998,
  IDBFactory = 7010,
  IDBIndex = 7021,
  IDBKeyRange = 7030,
  IDBObjectStore = 7042,
  IDBOpenDBRequest = 7057,
  IDBRequest = 7074,
  IDBTransaction = 7085,
  IDBVersionChangeEvent = 7100,
  IIRFilterNode = 7122,
  IOUtils = 7136,
  IdentityCredential = 7144,
  IdleDeadline = 7163,
  Image = 7176,
  ImageBitmap = 7182,
  ImageBitmapRenderingContext = 7194,
  ImageCapture = 7222,
  ImageCaptureError = 7235,
  ImageCaptureErrorEvent = 7253,
  ImageData = 7276,
  ImageDecoder = 7286,
  ImageDocument = 7299,
  ImageTrack = 7313,
  ImageTrackList = 7324,
  InputEvent = 7339,
  InspectorCSSParser = 7350,
  InspectorFontFace = 7369,
  InspectorUtils = 7387,
  InstallTriggerImpl = 7402,
  IntersectionObserver = 7421,
  IntersectionObserverEntry = 7442,
  IntlUtils = 7468,
  InvokeEvent = 7478,
  JSProcessActorChild = 7490,
  JSProcessActorParent = 7510,
  JSWindowActorChild = 7531,
  JSWindowActorParent = 7550,
  KeyEvent = 7570,
  KeyboardEvent = 7579,
  KeyframeEffect = 7593,
  L10nFileSource = 7608,
  L10nOverlays = 7623,
  L10nRegistry = 7636,
  LargestContentfulPaint = 7649,
  LegacyMozTCPSocket = 7672,
  Localization = 7691,
  Location = 7704,
  Lock = 7713,
  LockManager = 7718,
  MIDIAccess = 7730,
  MIDIConnectionEvent = 7741,
  MIDIInput = 7761,
  MIDIInputMap = 7771,
  MIDIMessageEvent = 7784,
  MIDIOutput = 7801,
  MIDIOutputMap = 7812,
  MIDIPort = 7826,
  MOZ_debug = 7835,
  MatchGlob = 7845,
  MatchPattern = 7855,
  MatchPatternSet = 7868,
  MathMLElement = 7884,
  MediaCapabilities = 7898,
  MediaControlService = 7916,
  MediaController = 7936,
  MediaDeviceInfo = 7952,
  MediaDevices = 7968,
  MediaElementAudioSourceNode = 7981,
  MediaEncryptedEvent = 8009,
  MediaError = 8029,
  MediaKeyError = 8040,
  MediaKeyMessageEvent = 8054,
  MediaKeySession = 8075,
  MediaKeyStatusMap = 8091,
  MediaKeyStatusMap_Iterator = 8109,
  MediaKeySystemAccess = 8136,
  MediaKeys = 8157,
  MediaList = 8167,
  MediaMetadata = 8177,
  MediaQueryList = 8191,
  MediaQueryListEvent = 8206,
  MediaRecorder = 8226,
  MediaRecorderErrorEvent = 8240,
  MediaSession = 8264,
  MediaSource = 8277,
  MediaStream = 8289,
  MediaStreamAudioDestinationNode = 8301,
  MediaStreamAudioSourceNode = 8333,
  MediaStreamError = 8360,
  MediaStreamEvent = 8377,
  MediaStreamTrack = 8394,
  MediaStreamTrackAudioSourceNode = 8411,
  MediaStreamTrackEvent = 8443,
  MerchantValidationEvent = 8465,
  MessageBroadcaster = 8489,
  MessageChannel = 8508,
  MessageEvent = 8523,
  MessageListenerManager = 8536,
  MessagePort = 8559,
  MessageSender = 8571,
  MimeType = 8585,
  MimeTypeArray = 8594,
  MouseEvent = 8608,
  MouseScrollEvent = 8619,
  MozCanvasPrintState = 8636,
  MozDocumentMatcher = 8656,
  MozDocumentObserver = 8675,
  MozQueryInterface = 8695,
  MozSharedMap = 8713,
  MozSharedMap_Iterator = 8726,
  MozSharedMapChangeEvent = 8748,
  MozStorageAsyncStatementParams = 8772,
  MozStorageStatementParams = 8803,
  MozStorageStatementRow = 8829,
  MozWritableSharedMap = 8852,
  MutationEvent = 8873,
  MutationObserver = 8887,
  MutationRecord = 8904,
  NamedNodeMap = 8919,
  NavigateEvent = 8932,
  Navigation = 8946,
  NavigationActivation = 8957,
  NavigationCurrentEntryChangeEvent = 8978,
  NavigationDestination = 9012,
  NavigationHistoryEntry = 9034,
  NavigationPreloadManager = 9057,
  NavigationTransition = 9082,
  Navigator = 9103,
  NetworkInformation = 9113,
  Node = 9132,
  NodeFilter = 9137,
  NodeIterator = 9148,
  NodeList = 9161,
  Notification = 9170,
  NotificationEvent = 9183,
  NotifyPaintEvent = 9201,
  OES_draw_buffers_indexed = 9218,
  OES_element_index_uint = 9243,
  OES_fbo_render_mipmap = 9266,
  OES_standard_derivatives = 9288,
  OES_texture_float = 9313,
  OES_texture_float_linear = 9331,
  OES_texture_half_float = 9356,
  OES_texture_half_float_linear = 9379,
  OES_vertex_array_object = 9409,
  OVR_multiview2 = 9433,
  OfflineAudioCompletionEvent = 9448,
  OfflineAudioContext = 9476,
  OffscreenCanvas = 9496,
  OffscreenCanvasRenderingContext2D = 9512,
  Option = 9546,
  OscillatorNode = 9553,
  PageTransitionEvent = 9568,
  PaintRequest = 9588,
  PaintRequestList = 9601,
  PaintWorkletGlobalScope = 9618,
  PannerNode = 9642,
  ParentProcessMessageManager = 9653,
  Path2D = 9681,
  PathUtils = 9688,
  PaymentAddress = 9698,
  PaymentMethodChangeEvent = 9713,
  PaymentRequest = 9738,
  PaymentRequestUpdateEvent = 9753,
  PaymentResponse = 9779,
  PeerConnectionImpl = 9795,
  PeerConnectionObserver = 9814,
  Performance = 9837,
  PerformanceEntry = 9849,
  PerformanceEntryEvent = 9866,
  PerformanceEventTiming = 9888,
  PerformanceMark = 9911,
  PerformanceMeasure = 9927,
  PerformanceNavigation = 9946,
  PerformanceNavigationTiming = 9968,
  PerformanceObserver = 9996,
  PerformanceObserverEntryList = 10016,
  PerformancePaintTiming = 10045,
  PerformanceResourceTiming = 10068,
  PerformanceServerTiming = 10094,
  PerformanceTiming = 10118,
  PeriodicWave = 10136,
  PermissionStatus = 10149,
  Permissions = 10166,
  PlacesBookmark = 10178,
  PlacesBookmarkAddition = 10193,
  PlacesBookmarkChanged = 10216,
  PlacesBookmarkGuid = 10238,
  PlacesBookmarkKeyword = 10257,
  PlacesBookmarkMoved = 10279,
  PlacesBookmarkRemoved = 10299,
  PlacesBookmarkTags = 10321,
  PlacesBookmarkTime = 10340,
  PlacesBookmarkTitle = 10359,
  PlacesBookmarkUrl = 10379,
  PlacesEvent = 10397,
  PlacesEventCounts = 10409,
  PlacesFavicon = 10427,
  PlacesHistoryCleared = 10441,
  PlacesObservers = 10462,
  PlacesPurgeCaches = 10478,
  PlacesRanking = 10496,
  PlacesVisit = 10510,
  PlacesVisitRemoved = 10522,
  PlacesVisitTitle = 10541,
  PlacesWeakCallbackWrapper = 10558,
  Plugin = 10584,
  PluginArray = 10591,
  PluginCrashedEvent = 10603,
  PointerEvent = 10622,
  PopStateEvent = 10635,
  PopupBlockedEvent = 10649,
  PopupPositionedEvent = 10667,
  PositionStateEvent = 10688,
  PrecompiledScript = 10707,
  PrivateAttribution = 10725,
  ProcessMessageManager = 10744,
  ProcessingInstruction = 10766,
  ProgressEvent = 10788,
  PromiseDebugging = 10802,
  PromiseNativeHandler = 10819,
  PromiseRejectionEvent = 10840,
  PublicKeyCredential = 10862,
  PushEvent = 10882,
  PushManager = 10892,
  PushManagerImpl = 10904,
  PushMessageData = 10920,
  PushSubscription = 10936,
  PushSubscriptionOptions = 10953,
  RTCCertificate = 10977,
  RTCDTMFSender = 10992,
  RTCDTMFToneChangeEvent = 11006,
  RTCDataChannel = 11029,
  RTCDataChannelEvent = 11044,
  RTCDtlsTransport = 11064,
  RTCEncodedAudioFrame = 11081,
  RTCEncodedVideoFrame = 11102,
  RTCIceCandidate = 11123,
  RTCIceTransport = 11139,
  RTCIdentityProviderRegistrar = 11155,
  RTCPeerConnection = 11184,
  RTCPeerConnectionIceEvent = 11202,
  RTCPeerConnectionStatic = 11228,
  RTCRtpReceiver = 11252,
  RTCRtpScriptTransform = 11267,
  RTCRtpScriptTransformer = 11289,
  RTCRtpSender = 11313,
  RTCRtpTransceiver = 11326,
  RTCSctpTransport = 11344,
  RTCSessionDescription = 11361,
  RTCStatsReport = 11383,
  RTCTrackEvent = 11398,
  RTCTransformEvent = 11412,
  RadioNodeList = 11430,
  Range = 11444,
  ReadableByteStreamController = 11450,
  ReadableStream = 11479,
  ReadableStream_AsyncIterator = 11494,
  ReadableStreamBYOBReader = 11523,
  ReadableStreamBYOBRequest = 11548,
  ReadableStreamDefaultController = 11574,
  ReadableStreamDefaultReader = 11606,
  Report = 11634,
  ReportBody = 11641,
  ReportingObserver = 11652,
  Request = 11670,
  ResizeObserver = 11678,
  ResizeObserverEntry = 11693,
  ResizeObserverSize = 11713,
  Response = 11732,
  SVGAElement = 11741,
  SVGAngle = 11753,
  SVGAnimateElement = 11762,
  SVGAnimateMotionElement = 11780,
  SVGAnimateTransformElement = 11804,
  SVGAnimatedAngle = 11831,
  SVGAnimatedBoolean = 11848,
  SVGAnimatedEnumeration = 11867,
  SVGAnimatedInteger = 11890,
  SVGAnimatedLength = 11909,
  SVGAnimatedLengthList = 11927,
  SVGAnimatedNumber = 11949,
  SVGAnimatedNumberList = 11967,
  SVGAnimatedPreserveAspectRatio = 11989,
  SVGAnimatedRect = 12020,
  SVGAnimatedString = 12036,
  SVGAnimatedTransformList = 12054,
  SVGAnimationElement = 12079,
  SVGCircleElement = 12099,
  SVGClipPathElement = 12116,
  SVGComponentTransferFunctionElement = 12135,
  SVGDefsElement = 12171,
  SVGDescElement = 12186,
  SVGElement = 12201,
  SVGEllipseElement = 12212,
  SVGFEBlendElement = 12230,
  SVGFEColorMatrixElement = 12248,
  SVGFEComponentTransferElement = 12272,
  SVGFECompositeElement = 12302,
  SVGFEConvolveMatrixElement = 12324,
  SVGFEDiffuseLightingElement = 12351,
  SVGFEDisplacementMapElement = 12379,
  SVGFEDistantLightElement = 12407,
  SVGFEDropShadowElement = 12432,
  SVGFEFloodElement = 12455,
  SVGFEFuncAElement = 12473,
  SVGFEFuncBElement = 12491,
  SVGFEFuncGElement = 12509,
  SVGFEFuncRElement = 12527,
  SVGFEGaussianBlurElement = 12545,
  SVGFEImageElement = 12570,
  SVGFEMergeElement = 12588,
  SVGFEMergeNodeElement = 12606,
  SVGFEMorphologyElement = 12628,
  SVGFEOffsetElement = 12651,
  SVGFEPointLightElement = 12670,
  SVGFESpecularLightingElement = 12693,
  SVGFESpotLightElement = 12722,
  SVGFETileElement = 12744,
  SVGFETurbulenceElement = 12761,
  SVGFilterElement = 12784,
  SVGForeignObjectElement = 12801,
  SVGGElement = 12825,
  SVGGeometryElement = 12837,
  SVGGradientElement = 12856,
  SVGGraphicsElement = 12875,
  SVGImageElement = 12894,
  SVGLength = 12910,
  SVGLengthList = 12920,
  SVGLineElement = 12934,
  SVGLinearGradientElement = 12949,
  SVGMPathElement = 12974,
  SVGMarkerElement = 12990,
  SVGMaskElement = 13007,
  SVGMatrix = 13022,
  SVGMetadataElement = 13032,
  SVGNumber = 13051,
  SVGNumberList = 13061,
  SVGPathElement = 13075,
  SVGPatternElement = 13090,
  SVGPoint = 13108,
  SVGPointList = 13117,
  SVGPolygonElement = 13130,
  SVGPolylineElement = 13148,
  SVGPreserveAspectRatio = 13167,
  SVGRadialGradientElement = 13190,
  SVGRect = 13215,
  SVGRectElement = 13223,
  SVGSVGElement = 13238,
  SVGScriptElement = 13252,
  SVGSetElement = 13269,
  SVGStopElement = 13283,
  SVGStringList = 13298,
  SVGStyleElement = 13312,
  SVGSwitchElement = 13328,
  SVGSymbolElement = 13345,
  SVGTSpanElement = 13362,
  SVGTextContentElement = 13378,
  SVGTextElement = 13400,
  SVGTextPathElement = 13415,
  SVGTextPositioningElement = 13434,
  SVGTitleElement = 13460,
  SVGTransform = 13476,
  SVGTransformList = 13489,
  SVGUnitTypes = 13506,
  SVGUseElement = 13519,
  SVGViewElement = 13533,
  Sanitizer = 13548,
  Scheduler = 13558,
  Screen = 13568,
  ScreenLuminance = 13575,
  ScreenOrientation = 13591,
  ScriptProcessorNode = 13609,
  ScrollAreaEvent = 13629,
  ScrollViewChangeEvent = 13645,
  SecurityPolicyViolationEvent = 13667,
  Selection = 13696,
  ServiceWorker = 13706,
  ServiceWorkerContainer = 13720,
  ServiceWorkerGlobalScope = 13743,
  ServiceWorkerRegistration = 13768,
  SessionStoreFormData = 13794,
  SessionStoreScrollData = 13815,
  SessionStoreUtils = 13838,
  ShadowRealmGlobalScope = 13856,
  ShadowRoot = 13879,
  SharedWorker = 13890,
  SharedWorkerGlobalScope = 13903,
  SimpleGestureEvent = 13927,
  SourceBuffer = 13946,
  SourceBufferList = 13959,
  SpeechGrammar = 13976,
  SpeechGrammarList = 13990,
  SpeechRecognition = 14008,
  SpeechRecognitionAlternative = 14026,
  SpeechRecognitionError = 14055,
  SpeechRecognitionEvent = 14078,
  SpeechRecognitionResult = 14101,
  SpeechRecognitionResultList = 14125,
  SpeechSynthesis = 14153,
  SpeechSynthesisErrorEvent = 14169,
  SpeechSynthesisEvent = 14195,
  SpeechSynthesisUtterance = 14216,
  SpeechSynthesisVoice = 14241,
  StaticRange = 14262,
  StereoPannerNode = 14274,
  Storage = 14291,
  StorageEvent = 14299,
  StorageManager = 14312,
  StreamFilter = 14327,
  StreamFilterDataEvent = 14340,
  StructuredCloneHolder = 14362,
  StructuredCloneTester = 14384,
  StyleSheet = 14406,
  StyleSheetApplicableStateChangeEvent = 14417,
  StyleSheetList = 14454,
  StyleSheetRemovedEvent = 14469,
  SubmitEvent = 14492,
  SubtleCrypto = 14504,
  SyncMessageSender = 14517,
  SyncReadFile = 14535,
  TCPServerSocket = 14548,
  TCPServerSocketEvent = 14564,
  TCPSocket = 14585,
  TCPSocketErrorEvent = 14595,
  TCPSocketEvent = 14615,
  TaskController = 14630,
  TaskPriorityChangeEvent = 14645,
  TaskSignal = 14669,
  TelemetryStopwatch = 14680,
  TestUtils = 14699,
  TestingDeprecatedInterface = 14709,
  Text = 14736,
  TextClause = 14741,
  TextDecoder = 14752,
  TextDecoderStream = 14764,
  TextEncoder = 14782,
  TextEncoderStream = 14794,
  TextEvent = 14812,
  TextMetrics = 14822,
  TextTrack = 14834,
  TextTrackCue = 14844,
  TextTrackCueList = 14857,
  TextTrackList = 14874,
  TimeEvent = 14888,
  TimeRanges = 14898,
  ToggleEvent = 14909,
  Touch = 14921,
  TouchEvent = 14927,
  TouchList = 14938,
  TrackEvent = 14948,
  TransformStream = 14959,
  TransformStreamDefaultController = 14975,
  TransitionEvent = 15008,
  TreeColumn = 15024,
  TreeColumns = 15035,
  TreeContentView = 15047,
  TreeWalker = 15063,
  TrustedHTML = 15074,
  TrustedScript = 15086,
  TrustedScriptURL = 15100,
  TrustedTypePolicy = 15117,
  TrustedTypePolicyFactory = 15135,
  UDPMessageEvent = 15160,
  UDPSocket = 15176,
  UIEvent = 15186,
  URL = 15194,
  URLSearchParams = 15198,
  URLSearchParams_Iterator = 15214,
  UniFFIPointer = 15239,
  UniFFIScaffolding = 15253,
  UserActivation = 15271,
  UserInteraction = 15286,
  UserProximityEvent = 15302,
  VRDisplay = 15321,
  VRDisplayCapabilities = 15331,
  VRDisplayEvent = 15353,
  VREyeParameters = 15368,
  VRFieldOfView = 15384,
  VRFrameData = 15398,
  VRMockController = 15410,
  VRMockDisplay = 15427,
  VRPose = 15441,
  VRServiceTest = 15448,
  VRStageParameters = 15462,
  VTTCue = 15480,
  VTTRegion = 15487,
  ValidityState = 15497,
  VideoColorSpace = 15511,
  VideoDecoder = 15527,
  VideoEncoder = 15540,
  VideoFrame = 15553,
  VideoPlaybackQuality = 15564,
  VideoTrack = 15585,
  VideoTrackList = 15596,
  VisualViewport = 15611,
  WEBGL_color_buffer_float = 15626,
  WEBGL_compressed_texture_astc = 15651,
  WEBGL_compressed_texture_etc = 15681,
  WEBGL_compressed_texture_etc1 = 15710,
  WEBGL_compressed_texture_pvrtc = 15740,
  WEBGL_compressed_texture_s3tc = 15771,
  WEBGL_compressed_texture_s3tc_srgb = 15801,
  WEBGL_debug_renderer_info = 15836,
  WEBGL_debug_shaders = 15862,
  WEBGL_depth_texture = 15882,
  WEBGL_draw_buffers = 15902,
  WEBGL_explicit_present = 15921,
  WEBGL_lose_context = 15944,
  WEBGL_provoking_vertex = 15963,
  WakeLock = 15986,
  WakeLockSentinel = 15995,
  WaveShaperNode = 16012,
  WebExtensionContentScript = 16027,
  WebExtensionPolicy = 16053,
  WebGL2RenderingContext = 16072,
  WebGLActiveInfo = 16095,
  WebGLBuffer = 16111,
  WebGLContextEvent = 16123,
  WebGLFramebuffer = 16141,
  WebGLProgram = 16158,
  WebGLQuery = 16171,
  WebGLRenderbuffer = 16182,
  WebGLRenderingContext = 16200,
  WebGLSampler = 16222,
  WebGLShader = 16235,
  WebGLShaderPrecisionFormat = 16247,
  WebGLSync = 16274,
  WebGLTexture = 16284,
  WebGLTransformFeedback = 16297,
  WebGLUniformLocation = 16320,
  WebGLVertexArrayObject = 16341,
  WebKitCSSMatrix = 16364,
  WebSocket = 16380,
  WebTransport = 16390,
  WebTransportBidirectionalStream = 16403,
  WebTransportDatagramDuplexStream = 16435,
  WebTransportError = 16468,
  WebTransportReceiveStream = 16486,
  WebTransportSendStream = 16512,
  WebrtcGlobalInformation = 16535,
  WheelEvent = 16559,
  Window = 16570,
  WindowClient = 16577,
  WindowContext = 16590,
  WindowGlobalChild = 16604,
  WindowGlobalParent = 16622,
  WindowRoot = 16641,
  Worker = 16652,
  WorkerDebuggerGlobalScope = 16659,
  WorkerGlobalScope = 16685,
  WorkerLocation = 16703,
  WorkerNavigator = 16718,
  WorkerTestUtils = 16734,
  Worklet = 16750,
  WorkletGlobalScope = 16758,
  WritableStream = 16777,
  WritableStreamDefaultController = 16792,
  WritableStreamDefaultWriter = 16824,
  XMLDocument = 16852,
  XMLHttpRequest = 16864,
  XMLHttpRequestEventTarget = 16879,
  XMLHttpRequestUpload = 16905,
  XMLSerializer = 16926,
  XPathEvaluator = 16940,
  XPathExpression = 16955,
  XPathResult = 16971,
  XRBoundedReferenceSpace = 16983,
  XRFrame = 17007,
  XRInputSource = 17015,
  XRInputSourceArray = 17029,
  XRInputSourceEvent = 17048,
  XRInputSourcesChangeEvent = 17067,
  XRPose = 17093,
  XRReferenceSpace = 17100,
  XRReferenceSpaceEvent = 17117,
  XRRenderState = 17139,
  XRRigidTransform = 17153,
  XRSession = 17170,
  XRSessionEvent = 17180,
  XRSpace = 17195,
  XRSystem = 17203,
  XRView = 17212,
  XRViewerPose = 17219,
  XRViewport = 17232,
  XRWebGLLayer = 17243,
  XSLTProcessor = 17256,
  XULCommandEvent = 17270,
  XULElement = 17286,
  XULFrameElement = 17297,
  XULMenuElement = 17313,
  XULPopupElement = 17328,
  XULResizerElement = 17344,
  XULTextElement = 17362,
  XULTreeElement = 17377,
  console = 17392,
  webkitSpeechGrammar = 17400,
  webkitSpeechGrammarList = 17420,
  webkitSpeechRecognition = 17444,
  webkitURL = 17468,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
